using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

namespace ADONET
{
	/// <summary>
	/// Summary description for Demo2.
	/// </summary>
	public class Demo2 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DropDownList List1;
		protected System.Web.UI.WebControls.Button button1;
		protected System.Web.UI.WebControls.TextBox FirstName;
		protected System.Web.UI.WebControls.TextBox ErrorLabel;
		protected System.Web.UI.WebControls.Button Button2;
		protected System.Web.UI.WebControls.TextBox LastName;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if( ! IsPostBack )
			{
				SqlDataReader myReader=null;
				SqlConnection myConnection =
					new SqlConnection("server=localhost;uid=sa;pwd=;database=pubs");
				SqlCommand myCommand =
					new SqlCommand("select au_id from Authors order by au_id",myConnection);
  
				myConnection.Open();
				myReader=myCommand.ExecuteReader();
				List1.Items.Clear();
				while( myReader.Read() )
				{
					List1.Items.Add(myReader["au_id"].ToString());
				}
				myReader.Close();
				myConnection.Close();
			}
		}

		public void GetAuthor()
		{
			string mySelectCmd = "spGetAuthor";
			SqlConnection myConnection =
				new SqlConnection("server=localhost;uid=sa;pwd=;database=pubs");
			SqlCommand myCommand =
				new SqlCommand(mySelectCmd,myConnection);
			myCommand.CommandType = CommandType.StoredProcedure;

			myCommand.Parameters.Add("@ID",SqlDbType.VarChar,11);
			myCommand.Parameters["@ID"].Direction = ParameterDirection.Input;
			myCommand.Parameters["@ID"].Value = List1.SelectedItem.Text;

			myCommand.Parameters.Add("@Fname",SqlDbType.VarChar,20);
			myCommand.Parameters["@Fname"].Direction = ParameterDirection.Output;

			myCommand.Parameters.Add("@Lname",SqlDbType.VarChar,40);
			myCommand.Parameters["@Lname"].Direction = ParameterDirection.Output;

			myCommand.Parameters.Add("RETURN_VALUE",SqlDbType.Int);
			myCommand.Parameters["RETURN_VALUE"].Direction = ParameterDirection.ReturnValue;

			myConnection.Open();
			myCommand.ExecuteNonQuery();

			FirstName.Text = myCommand.Parameters["@Fname"].Value.ToString();
			LastName.Text  = myCommand.Parameters["@Lname"].Value.ToString();
			ErrorLabel.Text     = myCommand.Parameters["RETURN_VALUE"].Value.ToString();
  
			myConnection.Close();
		}


		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.button1.Click += new System.EventHandler(this.button1_Click);
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void button1_Click(object sender, System.EventArgs e)
		{
			GetAuthor();
		}

		private void Button2_Click(object sender, System.EventArgs e)
		{
			Response.Redirect( "/Chapter9/Chapter_9.htm" );
		}

	}
}
